CREATE TABLE iby_format_types_b (
    FORMAT_TYPE_CODE                  VARCHAR2(120) ,
    MESSAGE_DIRECTION                 VARCHAR2(120)     NOT NULL,
    XML_SCHEMA_CODE                   VARCHAR2(120) ,
    XML_SCHEMA_XDB_URL                VARCHAR2(2800),
    LOADER_SERVICE_INTERFACE_CLASS    VARCHAR2(920) ,
    LOADER_SDO                        VARCHAR2(920) ,
    LOADER_SDO_MERGE_METHOD           VARCHAR2(920) ,
    IMPORTER_SRVC_INTERFACE_CLASS     VARCHAR2(920) ,
    IMPORT_METHOD                     VARCHAR2(920) ,
    LOAD_PROGRAM_TYPE                 VARCHAR2(120) ,
    EXTRACT_ID                        NUMBER(18, 0) ,
    BIP_CATALOG_REPORT_ABS_PATH       VARCHAR2(4000),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    FORMAT_TYPE_CODE                  VARCHAR2(120) ,
    MESSAGE_DIRECTION                 VARCHAR2(120)     NOT NULL,
    XML_SCHEMA_CODE                   VARCHAR2(120) ,
    XML_SCHEMA_XDB_URL                VARCHAR2(2800),
    LOADER_SERVICE_INTERFACE_CLASS    VARCHAR2(920) ,
    LOADER_SDO                        VARCHAR2(920) ,
    LOADER_SDO_MERGE_METHOD           VARCHAR2(920) ,
    IMPORTER_SRVC_INTERFACE_CLASS     VARCHAR2(920) ,
    IMPORT_METHOD                     VARCHAR2(920) ,
    LOAD_PROGRAM_TYPE                 VARCHAR2(120) ,
    EXTRACT_ID                        NUMBER(18, 0) ,
    BIP_CATALOG_REPORT_ABS_PATH       VARCHAR2(4000),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iby_format_types_b PRIMARY KEY (FORMAT_TYPE_CODE, FORMAT_TYPE_CODE)
);
